Content Hub: com::ubuntu::content::Peer Class Reference

Content Hub 0.2.0 A session-wide content-exchange service |

Public Member Functions | Static Public Member Functions | Properties | List of all members
com::ubuntu::content::Peer Class Reference

`#include <peer.h>`

Inheritance diagram for com::ubuntu::content::Peer:
Collaboration diagram for com::ubuntu::content::Peer:

## Public Member Functions
| Peer (const QString &id=QString(), bool isDefaultPeer=false, QObject *parent=nullptr)
| Peer (const QString &, const QString &, QByteArray &, const QString &, bool, QObject *parent=nullptr)
| Peer (const Peer &rhs)
virtual | ~Peer ()
Peer & | operator= (const Peer &rhs)
bool | operator== (const Peer &rhs) const
virtual Q_INVOKABLE const QString & | id () const
virtual Q_INVOKABLE QString | name () const
Q_INVOKABLE void | setName (const QString &)
virtual Q_INVOKABLE QByteArray | iconData () const
Q_INVOKABLE void | setIconData (const QByteArray &)
virtual Q_INVOKABLE QString | iconName () const
Q_INVOKABLE void | setIconName (const QString &)
virtual Q_INVOKABLE bool | isDefaultPeer () const

## Static Public Member Functions
static const Peer & | unknown ()

## Properties
QString | id
QString | name
QString | iconName
bool | isDefaultPeer

## Detailed Description

Definition at line 31 of file peer.h.

## Constructor & Destructor Documentation

## ◆ Peer() [1/3]

com::ubuntu::content::Peer::Peer | ( | const QString & | id = `QString()`,
|  | bool | isDefaultPeer = `false`,
|  | QObject * | parent = `nullptr`
| ) |  |

## ◆ Peer() [2/3]

com::ubuntu::content::Peer::Peer | ( | const QString & | ,
|  | const QString & | ,
|  | QByteArray & | ,
|  | const QString & | ,
|  | bool | ,
|  | QObject * | parent = `nullptr`
| ) |  |

## ◆ Peer() [3/3]

com::ubuntu::content::Peer::Peer | ( | const Peer & | rhs | ) |

## ◆ ~Peer()

virtual com::ubuntu::content::Peer::~Peer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ iconData()

virtual Q_INVOKABLE QByteArray com::ubuntu::content::Peer::iconData | ( |  | ) | const
| virtual

## ◆ iconName()

virtual Q_INVOKABLE QString com::ubuntu::content::Peer::iconName | ( |  | ) | const
| virtual

## ◆ id()

virtual Q_INVOKABLE const QString& com::ubuntu::content::Peer::id | ( |  | ) | const
| virtual

## ◆ isDefaultPeer()

virtual Q_INVOKABLE bool com::ubuntu::content::Peer::isDefaultPeer | ( |  | ) | const
| virtual

## ◆ name()

virtual Q_INVOKABLE QString com::ubuntu::content::Peer::name | ( |  | ) | const
| virtual

## ◆ operator=()

Peer& com::ubuntu::content::Peer::operator= | ( | const Peer & | rhs | ) |

## ◆ operator==()

bool com::ubuntu::content::Peer::operator== | ( | const Peer & | rhs | ) | const

## ◆ setIconData()

Q_INVOKABLE void com::ubuntu::content::Peer::setIconData | ( | const QByteArray & |  | ) |

## ◆ setIconName()

Q_INVOKABLE void com::ubuntu::content::Peer::setIconName | ( | const QString & |  | ) |

## ◆ setName()

Q_INVOKABLE void com::ubuntu::content::Peer::setName | ( | const QString & |  | ) |

## ◆ unknown()

static const Peer& com::ubuntu::content::Peer::unknown | ( |  | ) |
| static

## Property Documentation

## ◆ iconName

QString com::ubuntu::content::Peer::iconName
| readwrite

Definition at line 71 of file peer.h.

## ◆ id

QString com::ubuntu::content::Peer::id
| read

Definition at line 71 of file peer.h.

## ◆ isDefaultPeer

bool com::ubuntu::content::Peer::isDefaultPeer
| read

Definition at line 71 of file peer.h.

## ◆ name

QString com::ubuntu::content::Peer::name
| readwrite

Definition at line 71 of file peer.h.

The documentation for this class was generated from the following file:

- /build/content-hub-git/src/content-hub/include/com/ubuntu/content/peer.h